## Apache Zeta Components Manual :: Docs For Class ezcCacheInvalidDataException

### Cache::ezcCacheInvalidDataException

### Class ezcCacheInvalidDataException

Thrown if the data to be stored in a cache can not be handled by the storage.

Most ezcCacheStorage implementations are only capable of storing scalar and array values, so this exception will be thrown when an incompatible type is submitted for storage, like object or resource.

ezcCacheStorage::store() ezcCacheStorageFile::store()

ezcCacheStorageFileArray::prepareData() ezcCacheStorageFileEvalArray::prepareData() ezcCacheStorageFilePlain::prepareData()

Source for this file: /Cache/src/exceptions/invalid_data.php

    Exception
       |
       --ezcBaseException
          |
          --ezcCacheException
             |
             --ezcCacheInvalidDataException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public void | `__construct( $actualType , $expectedTypes )` Creates a new ezcCacheInvalidDataException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

void __construct( mixed $actualType , $expectedTypes )

Creates a new ezcCacheInvalidDataException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$actualType` | mixed | Type of data received.
`$expectedTypes` | array | Expected data types.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3